GIMP Color Library Reference Manual
<<< Previous Page | Home | Up |

# GimpBilinear

## Name

GimpBilinear --

## Synopsis

    gdouble     gimp_bilinear                   (gdouble x,
                                                 gdouble y,
                                                 gdouble *values);
    guchar      gimp_bilinear_8                 (gdouble x,
                                                 gdouble y,
                                                 guchar *values);
    guint16     gimp_bilinear_16                (gdouble x,
                                                 gdouble y,
                                                 guint16 *values);
    guint32     gimp_bilinear_32                (gdouble x,
                                                 gdouble y,
                                                 guint32 *values);
    GimpRGB     gimp_bilinear_rgb               (gdouble x,
                                                 gdouble y,
                                                 GimpRGB *values);
    GimpRGB     gimp_bilinear_rgba              (gdouble x,
                                                 gdouble y,
                                                 GimpRGB *values);

## Description

## Details

### gimp_bilinear ()

    gdouble     gimp_bilinear                   (gdouble x,
                                                 gdouble y,
                                                 gdouble *values);

`x` : |
`y` : |
`values` : |
Returns : |

### gimp_bilinear_8 ()

    guchar      gimp_bilinear_8                 (gdouble x,
                                                 gdouble y,
                                                 guchar *values);

`x` : |
`y` : |
`values` : |
Returns : |

### gimp_bilinear_16 ()

    guint16     gimp_bilinear_16                (gdouble x,
                                                 gdouble y,
                                                 guint16 *values);

`x` : |
`y` : |
`values` : |
Returns : |

### gimp_bilinear_32 ()

    guint32     gimp_bilinear_32                (gdouble x,
                                                 gdouble y,
                                                 guint32 *values);

`x` : |
`y` : |
`values` : |
Returns : |

### gimp_bilinear_rgb ()

    GimpRGB     gimp_bilinear_rgb               (gdouble x,
                                                 gdouble y,
                                                 GimpRGB *values);

`x` : |
`y` : |
`values` : |
Returns : |

### gimp_bilinear_rgba ()

    GimpRGB     gimp_bilinear_rgba              (gdouble x,
                                                 gdouble y,
                                                 GimpRGB *values);

`x` : |
`y` : |
`values` : |
Returns : |

<<< Previous Page | Home | Up |
GimpAdaptiveSupersample |